#' Spread between 10-Year and 1-Year treasury rates: T10Y1Y
#'
#' A dataset containing monthly U.S. interest rate spread between the 10-Year Treasury constant
#' maturity rate and 1-Year Treasury constant maturity rate from 1953IV to 2020II.
#'
#' @format A class 'ts' time series object containing 803 observations.
#'
#' @source \url{https://fred.stlouisfed.org/series/GS10} \url{https://fred.stlouisfed.org/series/GS1}
"T10Y1Y"


#' Spread between 10-Year and 1-Year treasury rates: M10Y1Y
#'
#' A dataset containing monthly U.S. interest rate spread between the 10-Year Treasury constant
#' maturity rate and 1-Year Treasury constant maturity rate from 1982 January to 2020 December.
#'
#' @format A class 'ts' time series object containing 468 observations.
#'
#' @source \url{https://fred.stlouisfed.org/series/GS10} \url{https://fred.stlouisfed.org/series/GS1}
"M10Y1Y"


#' Simulated data
#'
#' A dataset containing 200 observations simulated from a GMAR p=1, M=2 process.
#'
#' @format A numeric vector of length 200.
#'
#' @source Simulated
"simudata"
